Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class Node

Field Summary
`Map` | `attributes`
`Object` | `name`
`Node` | `parent`
`long` | `serialVersionUID`
`Object` | `value`

Constructor Summary
`Node(Node parent, Object name)`
`Node(Node parent, Object name, Object value)`
`Node(Node parent, Object name, Map attributes)`
`Node(Node parent, Object name, Map attributes, Object value)`

Method Summary
`boolean` | `append(Node child)`
`Node` | `appendNode(Object name, Map attributes)`
`Node` | `appendNode(Object name)`
`Node` | `appendNode(Object name, Object value)`
`Node` | `appendNode(Object name, Map attributes, Object value)`
`Object` | `attribute(Object key)`
`Map` | `attributes()`
`List` | `breadthFirst()` Provide a collection of all the nodes in the tree using a breadth-first traversal.
`List` | `breadthFirstRest()`
`List` | `children()`
`List` | `depthFirst()` Provide a collection of all the nodes in the tree using a depth first traversal.
`List` | `depthFirstRest()`
`Object` | `get(String key)` Provides lookup of elements by non-namespaced name
`NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
`NodeList` | `getByName(String name)` Provides lookup of elements by name.
`List` | `getDirectChildren()`
`List` | `getParentList(Node parent)`
`Iterator` | `iterator()`
`Object` | `name()`
`Node` | `parent()`
`void` | `print(PrintWriter out)`
`boolean` | `remove(Node child)`
`static void` | `setMetaClass(MetaClass metaClass)`
`void` | `setValue(Object value)`
`String` | `text()`
`String` | `toString()`
`Object` | `value()`

Constructor Detail

### Node

    public Node(Node parent, Object name)

### Node

    public Node(Node parent, Object name, Object value)

### Node

    public Node(Node parent, Object name, Map attributes)

### Node

    public Node(Node parent, Object name, Map attributes, Object value)

Method Detail

### append

    public boolean append(Node child)

### appendNode

    public Node appendNode(Object name, Map attributes)

### appendNode

    public Node appendNode(Object name)

### appendNode

    public Node appendNode(Object name, Object value)

### appendNode

    public Node appendNode(Object name, Map attributes, Object value)

### attribute

    public Object attribute(Object key)

### attributes

    public Map attributes()

### breadthFirst

    public List breadthFirst()

  Provide a collection of all the nodes in the tree using a breadth-first traversal.
  return:
    the list of (breadth-first) ordered nodes

### breadthFirstRest

    List breadthFirstRest()

### children

    public List children()

### depthFirst

    public List depthFirst()

  Provide a collection of all the nodes in the tree using a depth first traversal.
  return:
    the list of (depth-first) ordered nodes

### depthFirstRest

    List depthFirstRest()

### get

    public Object get(String key)

  Provides lookup of elements by non-namespaced name
  param:
    key the name (or shortcut key) of the node(s) of interest
  return:
    the nodes which match key

### getAt

    public NodeList getAt(QName name)

  Provides lookup of elements by QName.
  param:
    name the QName of interest
  return:
    the nodes matching name

### getByName

    NodeList getByName(String name)

  Provides lookup of elements by name.
  param:
    name the name of interest
  return:
    the nodes matching name

### getDirectChildren

    List getDirectChildren()

### getParentList

    List getParentList(Node parent)

### iterator

    public Iterator iterator()

### name

    public Object name()

### parent

    public Node parent()

### print

    public void print(PrintWriter out)

### remove

    public boolean remove(Node child)

### setMetaClass

    static void setMetaClass(MetaClass metaClass)

### setValue

    public void setValue(Object value)

### text

    public String text()

### toString

    public String toString()

### value

    public Object value()